### Method

# Gtk Widget set_cursor_from_name

#### Declaration [src]

    void
    gtk_widget_set_cursor_from_name (
      GtkWidget* widget,
      const char* name
    )

#### Description [src]

Sets the cursor to be shown when the pointer hovers over the widget.

This is a utility function that creates a cursor via `gdk_cursor_new_from_name()` and then sets it on `widget` with `gtk_widget_set_cursor()`. See those functions for details.

On top of that, this function allows `name` to be `NULL`, which will do the same as calling `gtk_widget_set_cursor()` with a `NULL` cursor.

#### Parameters

`name`

  Type: `const char*`

  The name of the cursor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.